const ROUTE = 'http://34.70.36.158';
const PORT = '8080';

// Obtener el parámetro `userId` de la URL
const urlParams = new URLSearchParams(window.location.search);

// Function to fetch wishlists and populate the table
async function fetchData() {
    const url = `${ROUTE}:${PORT}/wishLists?userId=${userId}`;

    try {
        const response = await fetch(url);
        const data = await response.json();
        console.log(data)
        populateTable(data.wishLists); // Populate the table with the fetched data
    } catch (error) {
        console.error('Error fetching data:', error);
    }
}

// Function to populate the table with the wishlists
function populateTable(data) {
    const tableBody = document.getElementById('dataBody');
    tableBody.innerHTML = ''; // Clear the existing rows

    console.log(data)
    data.forEach(item => {
        const row = document.createElement('tr');
        
        row.innerHTML = `
            <td>${item.id}</td>
            <td>${item.name}</td>
            <td>${item.description}</td>
            <td>${item.isActive ? 'Active': 'Unactive' }</td>
            <td>${item.createdAt.date}</td>
            <td>${item.expirationDate.date}</td>
            <td>
                <button onclick="editItem(${item.id})">Edit</button>
                <button onclick="deleteItem(${item.id})">Delete</button>
                <button onclick="inviteItem(${item.id})">Invite</button>
                <button onclick="shareItem(${item.id})">Share</button>
                <button onclick="detailsItem(${item.id})">Details</button>
            </td>
        `;

        tableBody.appendChild(row);
    });
}

// Functions for the action buttons (Edit, Delete, Invite, Share, Details)
function editItem(id) {
    console.log('Edit item', id);
}

function deleteItem(id) {
    console.log('Delete item', id);
}

function inviteItem(id) {
    console.log('Invite item', id);
}

function shareItem(id) {
    console.log('Share item', id);
}

function detailsItem(id) {
    console.log('Item details', id);
}

// Fetch the wishlists when the page loads
window.onload = fetchData;
